## org.apache.tools.ant.taskdefs
Class GUnzip

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Unpack
                  org.apache.tools.ant.taskdefs.GUnzip

public class GUnzip
extends Unpack

Expands a file that has been compressed with the GZIP algorithm. Normally used to compress non-compressed archives such as TAR files.

Since:
  Ant 1.1
Author:
  Stefan Bodewig, Magesh Umasankar

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Unpack
`dest, source`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`GUnzip()`

Method Summary
`protected void` `extract()`
`protected java.lang.String` `getDefaultExtension()`

Methods inherited from class org.apache.tools.ant.taskdefs.Unpack
`execute, setDest, setDest, setSrc, setSrc`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUnzip

    public GUnzip()

Method Detail

### getDefaultExtension

    protected java.lang.String getDefaultExtension()

  Specified by:
    `getDefaultExtension` in class `Unpack`

### extract

    protected void extract()

  Specified by:
    `extract` in class `Unpack`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.